//# 3 inputs
//# 6 outputs
//# 21 D-type flipflops
//# 59 inverters
//# 99 gates (11 ANDs + 30 NANDs + 24 ORs + 34 NORs)

module s382(CK1,CK2,CK3,CLR,FM,GRN1,GRN2,RED1,RED2,TEST,YLW1,YLW2,test_mode,scan_mode);
input CK1,CK2,CK3,FM,TEST,CLR,test_mode,scan_mode;
output GRN1,GRN2,RED1,YLW2,RED2,YLW1;

  wire TESTL,TESTLVIINLATCHVCDAD,FML,FMLVIINLATCHVCDAD,OLATCH_Y2L,TCOMB_YA2,
    OLATCHVUC_6,Y1C,OLATCHVUC_5,R2C,OLATCH_R1L,TCOMB_RA1,OLATCH_G2L,TCOMB_GA2,
    OLATCH_G1L,TCOMB_GA1,OLATCH_FEL,TCOMB_FE_BF,C3_Q3,C3_Q3VD,C3_Q2,C3_Q2VD,
    C3_Q1,C3_Q1VD,C3_Q0,C3_Q0VD,UC_16,UC_16VD,UC_17,UC_17VD,UC_18,UC_18VD,
    UC_19,UC_19VD,UC_8,UC_8VD,UC_9,UC_9VD,UC_10,UC_10VD,UC_11,UC_11VD,
    TESTLVIINLATCHN,FMLVIINLATCHN,OLATCH_Y1L,OLATCH_R2L,UC_23,UC_24,UC_25,
    UC_26,UC_20,C2_QN2,UC_21,UC_22,UC_12,UC_13,UC_14,UC_15,FMBVIIR1,CLRBVIIR1,
    TCOMBVNFM,TESTBVIIR1,TCOMBVNQA,TCOMBVNQB,TCOMBVNQC,TCOMBVNQD,UC_11VUC_0,
    OUTBUFVBUFG1VIIR1,OUTBUFVBUFG2VIIR1,TCOMBVNFEL,OUTBUFVBUFR1VIIR1,
    OUTBUFVBUFY2VIIR1,FMB,CLRB,TESTB,UC_11VZ,C1VCO0,OUTBUFVBUFR2VIIR1,
    OUTBUFVBUFY1VIIR1,FMLVIINMUXVIIR1,TESTLVIINLATCHVCDN,FMLVIINLATCHVCDN,
    TCOMBVNCLR,TESTLVIINMUXVIIR1,C2VIINHN,CTST,UC_8VZ,UC_8VZVOR1NF,CO2,C2_CO,
    FMLVIINMUX,FMLVIINMUXVND1,TESTLVIINMUX,TESTLVIINMUXVND1,II84,TCOMB_FE,FEN,
    UC_16VZ,UC_16VZVOR1NF,C3VIINHN,C3_Q3VZ,C3_Q3VZVOR1NF,TCOMB_GA1VAD1NF,
    TCOMBVNODE6,TCOMB_GA2VAD4NF,TCOMB_GA2VAD3NF,TCOMB_GA2VAD2NF,
    TCOMB_GA2VAD1NF,R2CVAD1NF,Y1CVAD1NF,TCOMB_YA1,Y1CVAD2NF,R2CVAD2NF,
    TCOMB_RA2,TCOMB_RA1VOR2NF,TCOMBVNODE8VOR1NF,TCOMB_RA1VOR1NF,
    TCOMBVNODE8VOR2NF,FMLVIINMUXVOR1NF,TCOMB_RA2VOR3NF,TCOMB_RA2VOR1NF,
    TCOMBVNODE4VOR2NF,TCOMBVNODE4VOR1NF,TESTLVIINMUXVOR1NF,TCOMBVNODE16VOR1NF,
    TCOMBVNODE18,C1VCO2,UC_9VZVOR1NF,C1VCO1,UC_10VZVOR1NF,FMLVIINMUXVOR2NF,
    TESTLVIINMUXVOR2NF,C2VCO2,UC_17VZVOR1NF,C2VCO1,UC_18VZVOR1NF,C2VCO0,
    UC_19VZVOR1NF,C3VCO2,C3_Q2VZVOR1NF,C3VCO1,C3_Q1VZVOR1NF,C3VCO0,
    C3_Q0VZVOR1NF,UC_9VUC_0,UC_10VUC_0,TCOMBVNODE4,TCOMBVNODE14,TCOMBVNODE15,
    TCOMBVNODE12,TCOMBVNODE8,TCOMBVNODE16,TCOMBVNODE19,UC_9VZ,UC_10VZ,
    TCOMBVNODE3,UC_17VUC_0,UC_18VUC_0,UC_19VUC_0,UC_17VZ,UC_18VZ,UC_19VZ,
    C3_Q2VUC_0,C3_Q1VUC_0,C3_Q0VUC_0,C3_Q2VZ,C3_Q1VZ,C3_Q0VZ,C3VCIIA,C1VCIIA,
    C2VCIIA,C1_CO,UC_27;

  cDFFQ DFF_0(.CK(CK1), .Q(TESTL), .D(TESTLVIINLATCHVCDAD));
  cDFFQ DFF_1(.CK(CK1), .Q(FML), .D(FMLVIINLATCHVCDAD));
  cDFFQ DFF_2(.CK(CK1), .Q(OLATCH_Y2L), .D(TCOMB_YA2));
  cDFFQ DFF_3(.CK(CK1), .Q(OLATCHVUC_6), .D(Y1C));
  cDFFQ DFF_4(.CK(CK1), .Q(OLATCHVUC_5), .D(R2C));
  cDFFQ DFF_5(.CK(CK1), .Q(OLATCH_R1L), .D(TCOMB_RA1));
  cDFFQ DFF_6(.CK(CK1), .Q(OLATCH_G2L), .D(TCOMB_GA2));
  cDFFQ DFF_7(.CK(CK2), .Q(OLATCH_G1L), .D(TCOMB_GA1));
  cDFFQ DFF_8(.CK(CK2), .Q(OLATCH_FEL), .D(TCOMB_FE_BF));
  cDFFQ DFF_9(.CK(CK2), .Q(C3_Q3), .D(C3_Q3VD));
  cDFFQ DFF_10(.CK(CK2), .Q(C3_Q2), .D(C3_Q2VD));
  cDFFQ DFF_11(.CK(CK2), .Q(C3_Q1), .D(C3_Q1VD));
  cDFFQ DFF_12(.CK(CK2), .Q(C3_Q0), .D(C3_Q0VD));
  cDFFQ DFF_13(.CK(CK2), .Q(UC_16), .D(UC_16VD));
  cDFFQ DFF_14(.CK(CK3), .Q(UC_17), .D(UC_17VD));
  cDFFQ DFF_15(.CK(CK3), .Q(UC_18), .D(UC_18VD));
  cDFFQ DFF_16(.CK(CK3), .Q(UC_19), .D(UC_19VD));
  cDFFQ DFF_17(.CK(CK3), .Q(UC_8), .D(UC_8VD));
  cDFFQ DFF_18(.CK(CK3), .Q(UC_9), .D(UC_9VD));
  cDFFQ DFF_19(.CK(CK3), .Q(UC_10), .D(UC_10VD));
  cDFFQ DFF_20(.CK(CK3), .Q(UC_11), .D(UC_11VD));
  cINV NOT_0(.Y(TESTLVIINLATCHN), .A(TESTL));
  cINV NOT_1(.Y(FMLVIINLATCHN), .A(FML));
  cINV NOT_2(.Y(OLATCH_Y1L), .A(OLATCHVUC_6));
  cINV NOT_3(.Y(OLATCH_R2L), .A(OLATCHVUC_5));
  cINV NOT_4(.Y(UC_23), .A(C3_Q3));
  cINV NOT_5(.Y(UC_24), .A(C3_Q2));
  cINV NOT_6(.Y(UC_25), .A(C3_Q1));
  cINV NOT_7(.Y(UC_26), .A(C3_Q0));
  cINV NOT_8(.Y(UC_20), .A(UC_16));
  cINV NOT_9(.Y(C2_QN2), .A(UC_17));
  cINV NOT_10(.Y(UC_21), .A(UC_18));
  cINV NOT_11(.Y(UC_22), .A(UC_19));
  cINV NOT_12(.Y(UC_12), .A(UC_8));
  cINV NOT_13(.Y(UC_13), .A(UC_9));
  cINV NOT_14(.Y(UC_14), .A(UC_10));
  cINV NOT_15(.Y(UC_15), .A(UC_11));
  cINV NOT_16(.Y(FMBVIIR1), .A(FM));
  cINV NOT_17(.Y(CLRBVIIR1), .A(CLR));
  cINV NOT_18(.Y(TCOMBVNFM), .A(FML));
  cINV NOT_19(.Y(TESTBVIIR1), .A(TEST));
  cINV NOT_20(.Y(TCOMBVNQA), .A(C3_Q0));
  cINV NOT_21(.Y(TCOMBVNQB), .A(C3_Q1));
  cINV NOT_22(.Y(TCOMBVNQC), .A(C3_Q2));
  cINV NOT_23(.Y(TCOMBVNQD), .A(C3_Q3));
  cINV NOT_24(.Y(UC_11VUC_0), .A(UC_11));
  cINV NOT_25(.Y(OUTBUFVBUFG1VIIR1), .A(OLATCH_G1L));
  cINV NOT_26(.Y(OUTBUFVBUFG2VIIR1), .A(OLATCH_G2L));
  cINV NOT_27(.Y(TCOMBVNFEL), .A(OLATCH_FEL));
  cINV NOT_28(.Y(OUTBUFVBUFR1VIIR1), .A(OLATCH_R1L));
  cINV NOT_29(.Y(OUTBUFVBUFY2VIIR1), .A(OLATCH_Y2L));
  cINV NOT_30(.Y(FMB), .A(FMBVIIR1));
  cINV NOT_31(.Y(CLRB), .A(CLRBVIIR1));
  cINV NOT_32(.Y(TESTB), .A(TESTBVIIR1));
  cINV NOT_33(.Y(UC_11VZ), .A(UC_11VUC_0));
  cINV NOT_34(.Y(C1VCO0), .A(UC_15));
  cINV NOT_35(.Y(GRN1), .A(OUTBUFVBUFG1VIIR1));
  cINV NOT_36(.Y(GRN2), .A(OUTBUFVBUFG2VIIR1));
  cINV NOT_37(.Y(RED1), .A(OUTBUFVBUFR1VIIR1));
  cINV NOT_38(.Y(YLW2), .A(OUTBUFVBUFY2VIIR1));
  cINV NOT_39(.Y(OUTBUFVBUFR2VIIR1), .A(OLATCH_R2L));
  cINV NOT_40(.Y(OUTBUFVBUFY1VIIR1), .A(OLATCH_Y1L));
  cINV NOT_41(.Y(FMLVIINMUXVIIR1), .A(FMB));
  cINV NOT_42(.Y(TESTLVIINLATCHVCDN), .A(CLRB));
  cINV NOT_43(.Y(FMLVIINLATCHVCDN), .A(CLRB));
  cINV NOT_44(.Y(TCOMBVNCLR), .A(CLRB));
  cINV NOT_45(.Y(TESTLVIINMUXVIIR1), .A(TESTB));
  cINV NOT_46(.Y(RED2), .A(OUTBUFVBUFR2VIIR1));
  cINV NOT_47(.Y(YLW1), .A(OUTBUFVBUFY1VIIR1));
  cINV NOT_48(.Y(C2VIINHN), .A(CTST));
  cINV NOT_49(.Y(UC_8VZ), .A(UC_8VZVOR1NF));
  cINV NOT_50(.Y(CO2), .A(C2_CO));
  cINV NOT_51(.Y(FMLVIINMUX), .A(FMLVIINMUXVND1));
  cINV NOT_52(.Y(TESTLVIINMUX), .A(TESTLVIINMUXVND1));
  cINV NOT_53(.Y(II84), .A(TCOMB_FE));
  cINV NOT_54(.Y(FEN), .A(TCOMB_FE));
  cINV NOT_55(.Y(UC_16VZ), .A(UC_16VZVOR1NF));
  cINV NOT_56(.Y(C3VIINHN), .A(CO2));
  cINV NOT_57(.Y(TCOMB_FE_BF), .A(II84));
  cINV NOT_58(.Y(C3_Q3VZ), .A(C3_Q3VZVOR1NF));

  cAND2 AND2_0(.Y(TCOMB_GA1VAD1NF), .A(TCOMBVNODE6), .B(OLATCH_FEL));
  cAND2 AND2_1(.Y(TCOMB_GA2VAD4NF), .A(OLATCH_FEL), .B(TCOMBVNCLR));
  cAND2 AND2_2(.Y(TCOMB_GA2VAD3NF), .A(C3_Q2), .B(TCOMBVNCLR));
  cAND3 AND3_0(.Y(TCOMB_GA2VAD2NF), .A(C3_Q0), .B(C3_Q1), .C(TCOMBVNCLR));
  cAND3 AND3_1(.Y(TCOMB_GA2VAD1NF), .A(TCOMBVNQA), .B(C3_Q3), .C(TCOMBVNCLR));
  cAND2 AND2_3(.Y(R2CVAD1NF), .A(TCOMB_FE), .B(C2_QN2));
  cAND2 AND2_4(.Y(FMLVIINLATCHVCDAD), .A(FMLVIINLATCHVCDN), .B(FMLVIINMUX));
  cAND2 AND2_5(.Y(Y1CVAD1NF), .A(TCOMB_YA1), .B(C2_QN2));
  cAND2 AND2_6(.Y(TESTLVIINLATCHVCDAD), .A(TESTLVIINLATCHVCDN), .B(TESTLVIINMUX));
  cAND2 AND2_7(.Y(Y1CVAD2NF), .A(FEN), .B(TCOMB_YA1));
  cAND2 AND2_8(.Y(R2CVAD2NF), .A(FEN), .B(TCOMB_RA2));

  cOR3 OR3_0(.Y(TCOMB_RA1VOR2NF), .A(C3_Q2), .B(C3_Q3), .C(OLATCH_FEL));
  cOR3 OR3_1(.Y(TCOMBVNODE8VOR1NF), .A(C3_Q0), .B(C3_Q1), .C(TCOMBVNFM));
  cOR4 OR4_0(.Y(TCOMB_RA1VOR1NF), .A(TCOMBVNQA), .B(C3_Q1), .C(C3_Q2), .D(OLATCH_FEL));
  cOR2 OR2_0(.Y(TCOMBVNODE8VOR2NF), .A(TCOMBVNQD), .B(TCOMBVNFM));
  cOR2 OR2_1(.Y(FMLVIINMUXVOR1NF), .A(FMB), .B(FML));
  cOR2 OR2_2(.Y(TCOMB_RA2VOR3NF), .A(TCOMBVNQC), .B(CLRB));
  cOR4 OR4_1(.Y(TCOMB_RA2VOR1NF), .A(C3_Q0), .B(C3_Q1), .C(TCOMBVNQD), .D(CLRB));
  cOR3 OR3_2(.Y(TCOMBVNODE4VOR2NF), .A(C3_Q2), .B(TCOMBVNQD), .C(CLRB));
  cOR4 OR4_2(.Y(TCOMBVNODE4VOR1NF), .A(TCOMBVNQC), .B(C3_Q3), .C(TCOMBVNFM), .D(CLRB));
  cOR2 OR2_3(.Y(TESTLVIINMUXVOR1NF), .A(TESTB), .B(TESTL));
  cOR4 OR4_3(.Y(TCOMBVNODE16VOR1NF), .A(TCOMBVNODE18), .B(FML), .C(C3_Q3), .D(TCOMBVNQC));
  cOR2 OR2_4(.Y(UC_8VZVOR1NF), .A(C1VCO2), .B(UC_8));
  cOR2 OR2_5(.Y(UC_9VZVOR1NF), .A(C1VCO1), .B(UC_9));
  cOR2 OR2_6(.Y(UC_10VZVOR1NF), .A(C1VCO0), .B(UC_10));
  cOR2 OR2_7(.Y(FMLVIINMUXVOR2NF), .A(FMLVIINMUXVIIR1), .B(FMLVIINLATCHN));
  cOR2 OR2_8(.Y(TESTLVIINMUXVOR2NF), .A(TESTLVIINMUXVIIR1), .B(TESTLVIINLATCHN));
  cOR2 OR2_9(.Y(UC_16VZVOR1NF), .A(C2VCO2), .B(UC_16));
  cOR2 OR2_10(.Y(UC_17VZVOR1NF), .A(C2VCO1), .B(UC_17));
  cOR2 OR2_11(.Y(UC_18VZVOR1NF), .A(C2VCO0), .B(UC_18));
  cOR2 OR2_12(.Y(UC_19VZVOR1NF), .A(C2VIINHN), .B(UC_19));
  cOR2 OR2_13(.Y(C3_Q3VZVOR1NF), .A(C3VCO2), .B(C3_Q3));
  cOR2 OR2_14(.Y(C3_Q2VZVOR1NF), .A(C3VCO1), .B(C3_Q2));
  cOR2 OR2_15(.Y(C3_Q1VZVOR1NF), .A(C3VCO0), .B(C3_Q1));
  cOR2 OR2_16(.Y(C3_Q0VZVOR1NF), .A(C3VIINHN), .B(C3_Q0));

  cNAND2 NAND2_0(.Y(TCOMBVNODE18), .A(TCOMBVNQB), .B(C3_Q0));
  cNAND4 NAND4_0(.Y(TCOMBVNODE6), .A(TCOMBVNFM), .B(TCOMBVNQD), .C(TCOMBVNQB), .D(C3_Q0));
  cNAND2 NAND2_1(.Y(UC_9VUC_0), .A(C1VCO1), .B(UC_9));
  cNAND2 NAND2_2(.Y(UC_10VUC_0), .A(C1VCO0), .B(UC_10));
  cNAND2 NAND2_3(.Y(TCOMB_RA2), .A(TCOMB_RA2VOR3NF), .B(TCOMB_RA2VOR1NF));
  cNAND2 NAND2_4(.Y(TCOMBVNODE4), .A(TCOMBVNODE4VOR2NF), .B(TCOMBVNODE4VOR1NF));
  cNAND2 NAND2_5(.Y(TCOMBVNODE14), .A(TCOMBVNODE15), .B(TCOMBVNQA));
  cNAND4 NAND4_1(.Y(TCOMBVNODE12), .A(TCOMBVNCLR), .B(TCOMBVNFEL), .C(TCOMBVNQC), .D(C3_Q1));
  cNAND4 NAND4_2(.Y(TCOMBVNODE8), .A(TCOMBVNCLR), .B(C3_Q2), .C(TCOMBVNODE8VOR2NF), .D(
    TCOMBVNODE8VOR1NF));
  cNAND3 NAND3_0(.Y(TCOMB_RA1), .A(TCOMBVNCLR), .B(TCOMB_RA1VOR2NF), .C(TCOMB_RA1VOR1NF));
  cNAND2 NAND2_6(.Y(TCOMBVNODE16), .A(TCOMBVNODE19), .B(TCOMBVNODE16VOR1NF));
  cNAND2 NAND2_7(.Y(UC_9VZ), .A(UC_9VZVOR1NF), .B(UC_9VUC_0));
  cNAND2 NAND2_8(.Y(UC_10VZ), .A(UC_10VZVOR1NF), .B(UC_10VUC_0));
  cNAND2 NAND2_9(.Y(FMLVIINMUXVND1), .A(FMLVIINMUXVOR2NF), .B(FMLVIINMUXVOR1NF));
  cNAND3 NAND3_1(.Y(TCOMBVNODE3), .A(TCOMBVNODE4), .B(TCOMBVNQB), .C(TCOMBVNQA));
  cNAND2 NAND2_10(.Y(TESTLVIINMUXVND1), .A(TESTLVIINMUXVOR2NF), .B(TESTLVIINMUXVOR1NF));
  cNAND2 NAND2_11(.Y(TCOMB_FE), .A(TCOMBVNODE16), .B(TCOMBVNODE14));
  cNAND2 NAND2_12(.Y(UC_17VUC_0), .A(C2VCO1), .B(UC_17));
  cNAND2 NAND2_13(.Y(UC_18VUC_0), .A(C2VCO0), .B(UC_18));
  cNAND2 NAND2_14(.Y(UC_19VUC_0), .A(C2VIINHN), .B(UC_19));
  cNAND2 NAND2_15(.Y(TCOMB_YA1), .A(TCOMBVNODE16), .B(TCOMBVNODE3));
  cNAND2 NAND2_16(.Y(UC_17VZ), .A(UC_17VZVOR1NF), .B(UC_17VUC_0));
  cNAND2 NAND2_17(.Y(UC_18VZ), .A(UC_18VZVOR1NF), .B(UC_18VUC_0));
  cNAND2 NAND2_18(.Y(UC_19VZ), .A(UC_19VZVOR1NF), .B(UC_19VUC_0));
  cNAND2 NAND2_19(.Y(C3_Q2VUC_0), .A(C3VCO1), .B(C3_Q2));
  cNAND2 NAND2_20(.Y(C3_Q1VUC_0), .A(C3VCO0), .B(C3_Q1));
  cNAND2 NAND2_21(.Y(C3_Q0VUC_0), .A(C3VIINHN), .B(C3_Q0));
  cNAND2 NAND2_22(.Y(C3_Q2VZ), .A(C3_Q2VZVOR1NF), .B(C3_Q2VUC_0));
  cNAND2 NAND2_23(.Y(C3_Q1VZ), .A(C3_Q1VZVOR1NF), .B(C3_Q1VUC_0));
  cNAND2 NAND2_24(.Y(C3_Q0VZ), .A(C3_Q0VZVOR1NF), .B(C3_Q0VUC_0));

  cNOR3 NOR3_0(.Y(C3VCIIA), .A(C3_Q2), .B(C3_Q1), .C(C3_Q0));
  cNOR3 NOR3_1(.Y(C1VCIIA), .A(UC_9), .B(UC_10), .C(UC_11));
  cNOR3 NOR3_2(.Y(C2VCIIA), .A(UC_17), .B(UC_18), .C(UC_19));
  cNOR2 NOR2_0(.Y(C1_CO), .A(C1VCIIA), .B(UC_12));
  cNOR3 NOR3_3(.Y(C1VCO2), .A(UC_13), .B(UC_14), .C(UC_15));
  cNOR2 NOR2_1(.Y(C1VCO1), .A(UC_14), .B(UC_15));
  cNOR2 NOR2_2(.Y(TCOMBVNODE19), .A(CLRB), .B(TCOMBVNFEL));
  cNOR4 NOR4_0(.Y(TCOMBVNODE15), .A(CLRB), .B(TCOMBVNFM), .C(TCOMBVNQC), .D(C3_Q1));
  cNOR2 NOR2_3(.Y(CTST), .A(C1_CO), .B(TESTL));
  cNOR3 NOR3_4(.Y(UC_11VD), .A(CLRB), .B(UC_11VZ), .C(C1_CO));
  cNOR4 NOR4_1(.Y(C2VCO2), .A(CTST), .B(C2_QN2), .C(UC_21), .D(UC_22));
  cNOR3 NOR3_5(.Y(C2VCO1), .A(CTST), .B(UC_21), .C(UC_22));
  cNOR3 NOR3_6(.Y(C2_CO), .A(C2VCIIA), .B(CTST), .C(UC_20));
  cNOR2 NOR2_4(.Y(C2VCO0), .A(CTST), .B(UC_22));
  cNOR4 NOR4_2(.Y(TCOMB_GA2), .A(TCOMB_GA2VAD4NF), .B(TCOMB_GA2VAD3NF), .C(TCOMB_GA2VAD2NF), .D(
    TCOMB_GA2VAD1NF));
  cNOR2 NOR2_5(.Y(TCOMB_YA2), .A(TCOMBVNODE12), .B(TCOMBVNQA));
  cNOR2 NOR2_6(.Y(TCOMB_GA1), .A(TCOMBVNODE8), .B(TCOMB_GA1VAD1NF));
  cNOR3 NOR3_7(.Y(UC_8VD), .A(CLRB), .B(UC_8VZ), .C(C1_CO));
  cNOR3 NOR3_8(.Y(UC_9VD), .A(CLRB), .B(UC_9VZ), .C(C1_CO));
  cNOR3 NOR3_9(.Y(UC_10VD), .A(CLRB), .B(UC_10VZ), .C(C1_CO));
  cNOR4 NOR4_3(.Y(C3VCO2), .A(CO2), .B(UC_24), .C(UC_25), .D(UC_26));
  cNOR3 NOR3_10(.Y(C3VCO1), .A(CO2), .B(UC_25), .C(UC_26));
  cNOR3 NOR3_11(.Y(UC_27), .A(C3VCIIA), .B(CO2), .C(UC_23));
  cNOR2 NOR2_7(.Y(C3VCO0), .A(CO2), .B(UC_26));
  cNOR3 NOR3_12(.Y(UC_16VD), .A(CLRB), .B(UC_16VZ), .C(C2_CO));
  cNOR3 NOR3_13(.Y(UC_17VD), .A(CLRB), .B(UC_17VZ), .C(C2_CO));
  cNOR3 NOR3_14(.Y(UC_18VD), .A(CLRB), .B(UC_18VZ), .C(C2_CO));
  cNOR3 NOR3_15(.Y(UC_19VD), .A(CLRB), .B(UC_19VZ), .C(C2_CO));
  cNOR2 NOR2_8(.Y(Y1C), .A(Y1CVAD2NF), .B(Y1CVAD1NF));
  cNOR2 NOR2_9(.Y(R2C), .A(R2CVAD2NF), .B(R2CVAD1NF));
  cNOR3 NOR3_16(.Y(C3_Q3VD), .A(CLRB), .B(C3_Q3VZ), .C(UC_27));
  cNOR3 NOR3_17(.Y(C3_Q2VD), .A(CLRB), .B(C3_Q2VZ), .C(UC_27));
  cNOR3 NOR3_18(.Y(C3_Q1VD), .A(CLRB), .B(C3_Q1VZ), .C(UC_27));
  cNOR3 NOR3_19(.Y(C3_Q0VD), .A(CLRB), .B(C3_Q0VZ), .C(UC_27));

endmodule


