module cBUF (Y, A);
output Y;
input A;
buf I0(Y, A);
endmodule

module cTBUF (Y, A, OE);
output Y;
input A, OE;

bufif1 I0(Y, A, OE);

endmodule

module cXOR (Y, A, B);
output Y;
input A, B;

xor I0(Y, A, B);

endmodule

module cMUX2 (Y, A, B, S0);
output Y;
input A, B, S0;

udp_mux_s I0(Y, A, B, S0);

endmodule

module cAND2 (Y, A, B);
output Y;
input A, B;

  and (Y, A, B);


endmodule
module cAND3 (Y, A, B, C);
output Y;
input A, B, C;

  and (Y, A, B, C);

endmodule

module cAND4 (Y, A, B, C, D);
output Y;
input A, B, C, D;

  and (Y, A, B, C, D);

endmodule

module cDFFQ (Q, D, CK);
output Q;
input  D, CK;

supply1 RN, SN;

  buf     I3 (clk, CK);
  udp_dff_s I0 (n0, D, clk, RN, SN );
  buf     I1 (Q, n0);

endmodule

module cSDFFQ (Q, D, SI, SE, CK);
output Q;
input D, SI, SE, CK;
supply1 RN, SN;

buf     IC (clk, CK);
udp_dff_s I0 (n0, n1, clk, RN, SN );
udp_mux_s I1 (n1, D, SI, SE);
buf     I2 (Q, n0);

endmodule

module cINV (Y, A);
output Y;
input A;

  not I0(Y, A);

endmodule
module cNAND2 (Y, A, B);
output Y;
input A, B;

  nand (Y, A, B);

endmodule
module cNAND3 (Y, A, B, C);
output Y;
input A, B, C;

  nand (Y, A, B, C);

endmodule
module cNAND4 (Y, A, B, C, D);
output Y;
input A, B, C, D;

  nand (Y, A, B, C, D);

endmodule
module cNOR2 (Y, A, B);
output Y;
input A, B;

  nor (Y, A, B);

endmodule
module cNOR3 (Y, A, B, C);
output Y;
input A, B, C;

  nor (Y, A, B, C);


endmodule
module cNOR4 (Y, A, B, C, D);
output Y;
input A, B, C, D;

  nor (Y, A, B, C, D);

endmodule
module cOR2 (Y, A, B);
output Y;
input A, B;

  or (Y, A, B);

endmodule

module cOR3 (Y, A, B, C);
output Y;
input A, B, C;

  or (Y, A, B, C);

endmodule

module cOR4 (Y, A, B, C, D);
output Y;
input A, B, C, D;

  or (Y, A, B, C, D);

endmodule

module udp_dff_s (out, in, clk, clr_, set_ );
   output out;
   input  in, clk, clr_, set_ ;
   reg    out;


   always @(posedge clk or clr_ or set_) begin
   if (~set_)
      out = 1'b1;
   else if (~clr_)
      out = 1'b0;
   else if (clk)
      out = in;
   end

endmodule

module udp_mux_s (out, in, s_in, s_sel);
   output out;
   input  in, s_in, s_sel;
   reg    out;

always @( s_sel or in or s_in )

 if (~s_sel)
     out = in ;
 else if (s_sel)
     out = s_in ;

endmodule // udp_mux



